com.aliyun.svideosdk.editor.impl

## Class AliyunPasterControllerCompoundCaption

- java.lang.Object
- - AliyunIPasterPackageOperation
  - - com.aliyun.svideosdk.editor.impl.AliyunPasterAbstractController<AliyunCaption>
    - - com.aliyun.svideosdk.editor.impl.AliyunPasterControllerCompoundCaption

- All Implemented Interfaces:
    AliyunIPasterController

      public class AliyunPasterControllerCompoundCaption
      extends AliyunPasterAbstractController<AliyunCaption>

  字幕控制器

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AlignCenter`
    `static int` | `AlignLeft`
    `static int` | `AlignRight`

    - ### Fields inherited from class com.aliyun.svideosdk.editor.impl.AliyunPasterAbstractController

      `mModel, mRender`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addFrameAnimation(ActionBase action)` 对指定的流或者素材资源添加帧动画 v3.22.0 新增
    `int` | `apply()`
    `int` | `clearFrameAnimation()` 清除动画
    `AliyunColor` | `getBackgroundColor()` 获取字幕背景颜色 v3.23.0 添加
    `float` | `getBackgroundCornerRadius()` 获取背景圆角 v3.31.0 添加
    `java.lang.String` | `getBubbleEffectTemplate()` Deprecated. 使用 `getBubbleEffectTemplateSource()` 替代
    `ISource` | `getBubbleEffectTemplateSource()` 获取气泡文字的模板资源 v3.23.0 新增
    `AliyunColor` | `getColor()` 获取字幕文本颜色 v3.22.0 新增
    `long` | `getDuration()` 获取当前贴纸的播放时长
    `java.lang.String` | `getFontEffectTemplate()` Deprecated. 使用 `getFontEffectTemplateSource()` 替代
    `ISource` | `getFontEffectTemplateSource()` 获取花字的模板资源 v3.23.0 新增
    `ISource` | `getFontPath()` 获取字体资源 v3.24.0 新增
    `AliyunFontStyle` | `getFontStyle()` Deprecated.
    `AliyunTypeface` | `getFontTypeface()` 获取字形样式 v3.24.0 新增
    `java.util.List<ActionBase>` | `getFrameAnimations()` 获取所有的帧动画 v3.22.0 新增
    `AliyunColor` | `getOutlineColor()` 获取描边颜色 v3.22.0 新增
    `float` | `getOutlineWidth()` 获取描边宽度，单位：像素 v3.22.0 新增
    `PointF` | `getPosition()` 获取贴纸的中心点位置(x,y), 单位： 像素
    `float` | `getRotate()` 获取贴纸旋转的弧度
    `float` | `getScale()` 获取当前字幕缩放值，默认为1.0 v3.22.0 新增
    `AliyunColor` | `getShadowColor()` 获取阴影颜色 v3.22.0 新增
    `PointF` | `getShadowOffset()` 获取阴影的偏移值，包含(x,y)两个方向，单位：像素，取值[0-32] v3.22.0 新增
    `RectF` | `getSize()` 获取贴纸的大小，通过`android.graphics.RectF#width()`和`android.graphics.RectF#height()`获取到宽高, 单位：像素
    `long` | `getStartTime()` 获取当前贴纸的起始时间
    `java.lang.String` | `getText()` 获取当前字幕文本 v3.22.0 新增
    `int` | `getTextAlignment()` 获取文字的排列方式 v3.23.0 添加
    `int` | `getType()` 获取贴图类型
    `int` | `removeFrameAnimation(ActionBase action)` 删除指定的帧动画 v3.22.0 新增
    `void` | `setBackgroundColor(AliyunColor aColor)` 设置字幕背景颜色 v3.23.0 添加
    `void` | `setBackgroundCornerRadius(float radius)` 设置背景圆角 v3.31.0 添加
    `void` | `setBubbleEffectTemplate(Source aStyleTemplate)` 设置气泡文字的模板资源 v3.23.0 新增
    `void` | `setBubbleEffectTemplate(java.lang.String aStyleTemplate)` Deprecated. 使用 `setBubbleEffectTemplate(Source)` 替代
    `void` | `setColor(AliyunColor aColor)` 设置字幕颜色 v3.22.0 新增
    `void` | `setDuration(long aDuration, java.util.concurrent.TimeUnit timeUnit)` 设置贴纸播放时长
    `void` | `setFontEffectTemplate(Source fontEffectSource)` 设置花字的模板 v3.23.0 新增
    `void` | `setFontEffectTemplate(java.lang.String aStyleTemplate)` Deprecated. 使用 `setFontEffectTemplate(Source)` 替代
    `void` | `setFontPath(ISource aFontPath)` 设置字幕的字体信息 v3.24.0 新增
    `void` | `setFontStyle(AliyunFontStyle aFontStyle)` Deprecated.
    `void` | `setFontTypeface(AliyunTypeface aFontTypeface)` 设置文字的样式 v3.24.0 新增
    `int` | `setFrameAnimation(ActionBase action)` 对指定的流或者素材资源添加帧动画，会清除原有的动画数据
    `void` | `setOutlineColor(AliyunColor aOutlineColor)` 设置字幕描边颜色 v3.22.0 新增
    `void` | `setOutlineWidth(float aOutlineWidth)` 设置描边宽度，单位：像素 v3.22.0 新增
    `void` | `setPosition(PointF aPosition)` 设置贴纸的中心点位置(x,y),单位：像素
    `void` | `setRotate(float degree)` 设置贴纸当前旋转的弧度值
    `void` | `setScale(float aScale)` 设置字幕缩放值 v3.22.0 新增
    `void` | `setShadowColor(AliyunColor aShadowColor)` 设置描边颜色 v3.22.0 新增
    `void` | `setShadowOffset(PointF aShadowOffset)` 设置阴影的偏移值，包含(x,y)两个方向，单位：像素，取值[0-32] v3.22.0 新增
    `void` | `setStartTime(long aStartTime, java.util.concurrent.TimeUnit timeUnit)` 设置贴纸的起始时间
    `void` | `setText(java.lang.String aText)` 设置字幕文本内容 v3.22.0 新增
    `void` | `setTextAlignment(int aTextAlignment)` 设置文字的排列方式 v3.23.0 添加

    - ### Methods inherited from class com.aliyun.svideosdk.editor.impl.AliyunPasterAbstractController

      `getDuration, getStartTime, setDuration, setStartTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AlignLeft

          public static final int AlignLeft

      See Also:
        Constant Field Values

    - #### AlignRight

          public static final int AlignRight

      See Also:
        Constant Field Values

    - #### AlignCenter

          public static final int AlignCenter

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getType

          public int getType()

      Description copied from interface: `AliyunIPasterController`
      获取贴图类型
      Returns:
        贴图类型
      See Also:
        `EffectPaster.PASTER_TYPE_GIF`, `EffectPaster.PASTER_TYPE_CAPTION`, `EffectPaster.PASTER_TYPE_IMAGE`

    - #### getStartTime

          public long getStartTime()

      Description copied from interface: `AliyunIPasterController`
      获取当前贴纸的起始时间
      Returns:
        贴纸的起始时间戳(单位：微秒）

    - #### setStartTime

          public void setStartTime(long aStartTime,
                                   java.util.concurrent.TimeUnit timeUnit)

      Description copied from interface: `AliyunIPasterController`
      设置贴纸的起始时间

      v3.27.0新增

      Parameters:
        `aStartTime` - 起始时间戳
        `timeUnit` - 时间单位

    - #### getDuration

          public long getDuration()

      Description copied from interface: `AliyunIPasterController`
      获取当前贴纸的播放时长
      Returns:
        贴纸播放时长(单位：微秒）

    - #### setDuration

          public void setDuration(long aDuration,
                                  java.util.concurrent.TimeUnit timeUnit)

      Description copied from interface: `AliyunIPasterController`
      设置贴纸播放时长

      v3.27.0新增

      Parameters:
        `aDuration` - 贴纸播放时长
        `timeUnit` - 时间单位

    - #### getPosition

          public PointF getPosition()

      Description copied from interface: `AliyunIPasterController`
      获取贴纸的中心点位置(x,y), 单位： 像素
      Returns:
        中心点坐标

    - #### setPosition

          public void setPosition(PointF aPosition)

      Description copied from interface: `AliyunIPasterController`
      设置贴纸的中心点位置(x,y),单位：像素
      Parameters:
        `aPosition` - 中心点坐标值

    - #### getSize

          public RectF getSize()

      Description copied from interface: `AliyunIPasterController`
      获取贴纸的大小，通过`android.graphics.RectF#width()`和`android.graphics.RectF#height()`获取到宽高, 单位：像素
      Returns:
        贴纸的布局大小
      See Also:
        `android.graphics.RectF`

    - #### getRotate

          public float getRotate()

      Description copied from interface: `AliyunIPasterController`
      获取贴纸旋转的弧度
      Returns:
        角度值

    - #### setRotate

          public void setRotate(float degree)

      Description copied from interface: `AliyunIPasterController`
      设置贴纸当前旋转的弧度值

    - #### getText

          public java.lang.String getText()

      获取当前字幕文本 v3.22.0 新增
      Returns:
        字幕文本

    - #### setText

          public void setText(java.lang.String aText)

      设置字幕文本内容 v3.22.0 新增
      Parameters:
        `aText` - 字幕文本

    - #### getScale

          public float getScale()

      获取当前字幕缩放值，默认为1.0 v3.22.0 新增
      Returns:
        字幕缩放值

    - #### setScale

          public void setScale(float aScale)

      设置字幕缩放值 v3.22.0 新增
      Parameters:
        `aScale` - > 0

    - #### getFontStyle

          @Deprecated
          public AliyunFontStyle getFontStyle()

      Deprecated.
      获取字幕的字体样式信息 v3.22.0 新增
      Returns:
        字体样式
      See Also:
        `AliyunFontStyle`

    - #### setFontStyle

          @Deprecated
          public void setFontStyle(AliyunFontStyle aFontStyle)

      Deprecated.
      设置字幕的字体样式信息 v3.22.0 新增
      Parameters:
        `aFontStyle` - 字体样式
      See Also:
        `AliyunFontStyle`

    - #### getFontPath

          public ISource getFontPath()

      获取字体资源 v3.24.0 新增

    - #### setFontPath

          public void setFontPath(ISource aFontPath)

      设置字幕的字体信息 v3.24.0 新增
      Parameters:
        `aFontPath` - 字体文件路径

    - #### getFontTypeface

          public AliyunTypeface getFontTypeface()

      获取字形样式 v3.24.0 新增

    - #### setFontTypeface

          public void setFontTypeface(AliyunTypeface aFontTypeface)

      设置文字的样式 v3.24.0 新增
      Parameters:
        `aFontTypeface` - 字体样式
      See Also:
        `AliyunTypeface`

    - #### getTextAlignment

          public int getTextAlignment()

      获取文字的排列方式 v3.23.0 添加
      Returns:
        alignemnt

    - #### setTextAlignment

          public void setTextAlignment(int aTextAlignment)

      设置文字的排列方式 v3.23.0 添加
      Parameters:
        `aTextAlignment` - 字体样式 取值： AlignLeft = 1; AlignRight = 2; AlignHCenter = 4;
      See Also:
        `AliyunFontStyle`

    - #### getColor

          public AliyunColor getColor()

      获取字幕文本颜色 v3.22.0 新增
      Returns:
        颜色值
      See Also:
        `AliyunColor`

    - #### setColor

          public void setColor(AliyunColor aColor)

      设置字幕颜色 v3.22.0 新增
      Parameters:
        `aColor` - 颜色对象
      See Also:
        `AliyunColor`

    - #### getBackgroundColor

          public AliyunColor getBackgroundColor()

      获取字幕背景颜色 v3.23.0 添加
      Returns:
        颜色值
      See Also:
        `AliyunColor`

    - #### setBackgroundColor

          public void setBackgroundColor(AliyunColor aColor)

      设置字幕背景颜色 v3.23.0 添加
      Parameters:
        `aColor` - 颜色对象
      See Also:
        `AliyunColor`

    - #### setBackgroundCornerRadius

          public void setBackgroundCornerRadius(float radius)

      设置背景圆角 v3.31.0 添加
      Parameters:
        `radius` -

    - #### getBackgroundCornerRadius

          public float getBackgroundCornerRadius()

      获取背景圆角 v3.31.0 添加
      Returns:

    - #### getOutlineColor

          public AliyunColor getOutlineColor()

      获取描边颜色 v3.22.0 新增
      Returns:
        颜色值
      See Also:
        `AliyunColor`

    - #### setOutlineColor

          public void setOutlineColor(AliyunColor aOutlineColor)

      设置字幕描边颜色 v3.22.0 新增
      Parameters:
        `aOutlineColor` - 颜色对象
      See Also:
        `AliyunColor`

    - #### getOutlineWidth

          public float getOutlineWidth()

      获取描边宽度，单位：像素 v3.22.0 新增
      Returns:
        描边宽度，单位：像素

    - #### setOutlineWidth

          public void setOutlineWidth(float aOutlineWidth)

      设置描边宽度，单位：像素 v3.22.0 新增
      Parameters:
        `aOutlineWidth` - 描边宽度，单位：像素， 取值: [0-64]

    - #### getShadowColor

          public AliyunColor getShadowColor()

      获取阴影颜色 v3.22.0 新增
      Returns:
        颜色值
      See Also:
        `AliyunColor`

    - #### setShadowColor

          public void setShadowColor(AliyunColor aShadowColor)

      设置描边颜色 v3.22.0 新增
      Parameters:
        `aShadowColor` - 颜色对象
      See Also:
        `AliyunColor`

    - #### getShadowOffset

          public PointF getShadowOffset()

      获取阴影的偏移值，包含(x,y)两个方向，单位：像素，取值[0-32] v3.22.0 新增
      Returns:
        阴影在横竖上的偏移值
      See Also:
        `android.graphics.PointF`

    - #### setShadowOffset

          public void setShadowOffset(PointF aShadowOffset)

      设置阴影的偏移值，包含(x,y)两个方向，单位：像素，取值[0-32] v3.22.0 新增
      Parameters:
        `aShadowOffset` - x,y上的便宜值
      See Also:
        `android.graphics.PointF`

    - #### setBubbleEffectTemplate

          public void setBubbleEffectTemplate(java.lang.String aStyleTemplate)

      Deprecated. 使用 `setBubbleEffectTemplate(Source)` 替代
      设置气泡文字的模板 v3.22.0 新增
      Parameters:
        `aStyleTemplate` - 气泡模板文件夹路径

    - #### getBubbleEffectTemplate

          public java.lang.String getBubbleEffectTemplate()

      Deprecated. 使用 `getBubbleEffectTemplateSource()` 替代
      获取气泡文字的模板路径 v3.22.0 新增

    - #### setBubbleEffectTemplate

          public void setBubbleEffectTemplate(Source aStyleTemplate)

      设置气泡文字的模板资源 v3.23.0 新增
      Parameters:
        `aStyleTemplate` - 气泡模板资源

    - #### getBubbleEffectTemplateSource

          public ISource getBubbleEffectTemplateSource()

      获取气泡文字的模板资源 v3.23.0 新增

    - #### setFontEffectTemplate

          public void setFontEffectTemplate(java.lang.String aStyleTemplate)

      Deprecated. 使用 `setFontEffectTemplate(Source)` 替代
      设置花字的模板 v3.22.0 新增
      Parameters:
        `aStyleTemplate` - 模板文件夹路径

    - #### setFontEffectTemplate

          public void setFontEffectTemplate(Source fontEffectSource)

      设置花字的模板 v3.23.0 新增
      Parameters:
        `fontEffectSource` - 模板资源

    - #### getFontEffectTemplate

          public java.lang.String getFontEffectTemplate()

      Deprecated. 使用 `getFontEffectTemplateSource()` 替代
      获取花字的模板路径 v3.22.0 新增

    - #### getFontEffectTemplateSource

          public ISource getFontEffectTemplateSource()

      获取花字的模板资源 v3.23.0 新增

    - #### apply

          public int apply()

    - #### addFrameAnimation

          public int addFrameAnimation(ActionBase action)

      对指定的流或者素材资源添加帧动画 v3.22.0 新增
      Parameters:
        `action` -
      Returns:
        正确返回资源id，错误返回错误码
      See Also:
        `ActionBase`

    - #### removeFrameAnimation

          public int removeFrameAnimation(ActionBase action)

      删除指定的帧动画 v3.22.0 新增
      Parameters:
        `action` -
      Returns:
        正确返回0，错误返回错误码

    - #### setFrameAnimation

          public int setFrameAnimation(ActionBase action)

      对指定的流或者素材资源添加帧动画，会清除原有的动画数据
      Parameters:
        `action，` - 如果为null，会清除当前动画
      Returns:
        正确返回资源id，错误返回错误码
      See Also:
        `ActionBase`

    - #### clearFrameAnimation

          public int clearFrameAnimation()

      清除动画

    - #### getFrameAnimations

          public java.util.List<ActionBase> getFrameAnimations()

      获取所有的帧动画 v3.22.0 新增
      Returns:
        帧动画列表